/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./src/modules/CollapsePanel.js":
/*!**************************************!*\
  !*** ./src/modules/CollapsePanel.js ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
class CollapsePanel {
  constructor() {
    this.toggles = document.querySelectorAll('.faq-toggle');
    this.toggleCollapse();
  }
  toggleCollapse() {
    this.toggles.forEach(toggle => {
      toggle.addEventListener('click', () => {
        toggle.parentNode.classList.toggle('active');
      });
    });
  }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CollapsePanel);

/***/ }),

/***/ "./src/modules/NavControl.js":
/*!***********************************!*\
  !*** ./src/modules/NavControl.js ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
class Nav {
  constructor() {
    this.toggleMenuBtn = document.getElementById('toggle-nav');
    this.toggleProjectsBtn = document.getElementById('toggle-projects');
    this.menuWrapper = document.querySelector('#menu_wrapper');
    this.menuLinks = document.querySelectorAll('.menu-item a');
    this.events();
    this.setActiveMenuLink();
  }
  events() {
    // Open and Close the Nav Menu
    this.toggleMenuBtn.addEventListener('click', () => this.toggleNavMenu());
  }
  toggleNavMenu() {
    this.toggleMenuBtn.classList.toggle('active');
    document.body.classList.toggle('noScroll');
    this.menuWrapper.classList.toggle('expand');
  }
  setActiveMenuLink() {
    this.menuLinks.forEach(function (link) {
      if (link.href === window.location.href) {
        link.classList.add('active-highlight');
      }
    });
  }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Nav);

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
(() => {
/*!**********************!*\
  !*** ./src/index.js ***!
  \**********************/
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _modules_NavControl__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./modules/NavControl */ "./src/modules/NavControl.js");
/* harmony import */ var _modules_CollapsePanel__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./modules/CollapsePanel */ "./src/modules/CollapsePanel.js");
// Our modules / classes
// Import modules e.g import MobileMenu from "./modules/MobileMenu"
// import TestModule from './modules/TestModule'



// Instantiate a new object using our modules/classes
// e.g var mobileMenu =  new MobileMenu()

// var testModule = new TestModule()
var navControl = new _modules_NavControl__WEBPACK_IMPORTED_MODULE_0__["default"]();
var collapsePanel = new _modules_CollapsePanel__WEBPACK_IMPORTED_MODULE_1__["default"]();
})();

/******/ })()
;
//# sourceMappingURL=index.js.map